wxWidgets: wxHtmlTagHandler Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
wxHtmlTagHandler Class Referenceabstract
Class List by Category » HTML

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/html/htmlpars.h>`

Inheritance diagram for wxHtmlTagHandler:
[legend]

## Detailed Description

Todo
  describe me

##

Library: wxHTML

<>< =''>:</>&;&;< =''>\ </></>

See also
  Tag Handlers, wxHtmlTag

## Public Member Functions
| wxHtmlTagHandler ()
| Constructor.
virtual wxString | GetSupportedTags ()=0
| Returns list of supported tags.
virtual bool | HandleTag (const wxHtmlTag &tag)=0
| This is the core method of each handler.
virtual void | SetParser (wxHtmlParser *parser)
| Assigns parser to this handler.
wxHtmlParser * | GetParser () const
| Returns the parser associated with this tag handler.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Protected Member Functions
void | ParseInner (const wxHtmlTag &tag)
| This method calls parser's wxHtmlParser::DoParsing method for the string between this tag and the paired ending tag:
void | ParseInnerSource (const wxString &source)
| Parses given source as if it was tag's inner code (see wxHtmlParser::GetInnerSource).
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.

## Protected Attributes
wxHtmlParser * | m_Parser
| This attribute is used to access parent parser.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxHtmlTagHandler()

wxHtmlTagHandler::wxHtmlTagHandler | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ GetParser()

wxHtmlParser * wxHtmlTagHandler::GetParser | ( |  | ) | const

Returns the parser associated with this tag handler.

Since
  2.9.5

## ◆ GetSupportedTags()

virtual wxString wxHtmlTagHandler::GetSupportedTags | ( |  | ) |
| pure virtual

Returns list of supported tags.

The list is in uppercase and tags are delimited by ','. Example: `"I,B,FONT,P"`

## ◆ HandleTag()

virtual bool wxHtmlTagHandler::HandleTag | ( | const wxHtmlTag & | tag | ) |
| pure virtual

This is the core method of each handler.

It is called each time one of supported tags is detected. tag contains all necessary info (see wxHtmlTag for details).

Example:

bool MyHandler::HandleTag(const wxHtmlTag& tag)
{
...
// change state of parser (e.g. set bold face)
ParseInner(tag);
...
// restore original state of parser
}
wxHtmlTagHandler::ParseInner
void ParseInner(const wxHtmlTag &tag)
This method calls parser's wxHtmlParser::DoParsing method for the string between this tag and the pai...
wxHtmlTag
This class represents a single HTML tag.
Definition htmltag.h:18

You shouldn't call ParseInner() if the tag is not paired with an ending one.

Returns
  true if ParseInner() was called, false otherwise.

## ◆ ParseInner()

void wxHtmlTagHandler::ParseInner | ( | const wxHtmlTag & | tag | ) |
| protected

This method calls parser's wxHtmlParser::DoParsing method for the string between this tag and the paired ending tag:

...<A HREF="x.htm">Hello, world!</A>...

In this example, a call to ParseInner() (with tag pointing to A tag) will parse 'Hello, world!'.

## ◆ ParseInnerSource()

void wxHtmlTagHandler::ParseInnerSource | ( | const wxString & | source | ) |
| protected

Parses given source as if it was tag's inner code (see wxHtmlParser::GetInnerSource).

Unlike ParseInner(), this method lets you specify the source code to parse. This is useful when you need to modify the inner text before parsing.

## ◆ SetParser()

virtual void wxHtmlTagHandler::SetParser | ( | wxHtmlParser * | parser | ) |
| virtual

Assigns parser to this handler.

Each instance of handler is guaranteed to be called only from the one parser.

Reimplemented in wxHtmlWinTagHandler.

## Member Data Documentation

## ◆ m_Parser

wxHtmlParser* wxHtmlTagHandler::m_Parser
| protected

This attribute is used to access parent parser.

It is protected so that it can't be accessed by user but can be accessed from derived classes.